## section-people

section-people

## Functions

char * | flickcurl_people_findByEmail ()
char * | flickcurl_people_findByUsername ()
flickcurl_group ** | flickcurl_people_getGroups ()
flickcurl_person * | flickcurl_people_getInfo ()
flickcurl_photo ** | flickcurl_people_getPhotos ()
flickcurl_photos_list * | flickcurl_people_getPhotos_params ()
flickcurl_photo ** | flickcurl_people_getPhotosOf ()
flickcurl_photos_list * | flickcurl_people_getPhotosOf_params ()
flickcurl_group ** | flickcurl_people_getPublicGroups ()
flickcurl_photo ** | flickcurl_people_getPublicPhotos ()
flickcurl_photos_list * | flickcurl_people_getPublicPhotos_params ()
flickcurl_user_upload_status * | flickcurl_people_getUploadStatus ()

## Description

## Functions

### flickcurl_people_findByEmail ()

    char *
    flickcurl_people_findByEmail (flickcurl *fc,
                                  const char *email);

Get a user's NSID, given their email address

Implements flickr.people.findByEmail (0.8)

#### Parameters

fc | flickcurl context |
email | user email address |

#### Returns

NSID or NULL on failure

### flickcurl_people_findByUsername ()

    char *
    flickcurl_people_findByUsername (flickcurl *fc,
                                     const char *username);

Get a user's NSID, given their username address

Implements flickr.people.findByUsername (0.8)

#### Parameters

fc | flickcurl context |
username | username |

#### Returns

NSID or NULL on failure

### flickcurl_people_getGroups ()

    flickcurl_group **
    flickcurl_people_getGroups (flickcurl *fc,
                                const char *user_id,
                                const char *extras);

Returns the list of groups a user is a member of.

Implements flickr.people.getGroups (1.25)

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user to fetch groups for. |
extras | A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: privacy, throttle, restrictions (or NULL) |

#### Returns

list of groups or NULL on failure

### flickcurl_people_getInfo ()

    flickcurl_person *
    flickcurl_people_getInfo (flickcurl *fc,
                              const char *user_id);

Get information about a person

Implements flickr.people.getInfo (0.6)

NSID can be found by `flickcurl_people_findByEmail()` or `flickcurl_people_findByUsername()`.

#### Parameters

fc | flickcurl context |
user_id | user NSID |

#### Returns

flickcurl_person object or NULL on failure

### flickcurl_people_getPhotos ()

    flickcurl_photo **
    flickcurl_people_getPhotos (flickcurl *fc,
                                const char *user_id,
                                int safe_search,
                                const char *min_upload_date,
                                const char *max_upload_date,
                                const char *min_taken_date,
                                const char *max_taken_date,
                                int content_type,
                                int privacy_filter,
                                const char *extras,
                                int per_page,
                                int page);

Get photos from the given user's photostream.

Only photos visible to the calling user will be returned. This method must be authenticated; to return public photos for a user, use `flickcurl_people_getPublicPhotos()`.

Implements flickr.people.getPhotos (1.18)

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photos to return. A value of "me" will return the calling user's photos. |
safe_search | Safe search setting: 1 for safe, 2 for moderate, 3 for restricted. (Please note: Un-authed calls can only see Safe content.) (or < 0) |
min_upload_date | Minimum upload date. Photos with an upload date greater than or equal to this value will be returned. The date should be in the form of a unix timestamp. (or NULL) |
max_upload_date | Maximum upload date. Photos with an upload date less than or equal to this value will be returned. The date should be in the form of a unix timestamp. (or NULL) |
min_taken_date | Minimum taken date. Photos with an taken date greater than or equal to this value will be returned. The date should be in the form of a mysql datetime. (or NULL) |
max_taken_date | Maximum taken date. Photos with an taken date less than or equal to this value will be returned. The date should be in the form of a mysql datetime. (or NULL) |
content_type | Content Type setting: 1 for photos only, 2 for screenshots only, 3 for 'other' only, 4 for photos and screenshots, 5 for screenshots and 'other', 6 for photos and 'other', 7 for photos, screenshots, and 'other' (all) (or < 0) |
privacy_filter | Return photos only matching a certain privacy level. This only applies when making an authenticated call to view photos you own. Valid values are: 1 public photos, 2 private photos visible to friends, 3 private photos visible to family, 4 private photos visible to friends & family, 5 completely private photo (or < 0) |
extras | A comma-delimited list of extra information to fetch for each returned record. Currently supported fields are: `description`, `license`, `date_upload`, `date_taken`, `owner_name`, `icon_server`, `original_format`, `last_update`, `geo`, `tags`, `machine_tags`, `o_dims`, `views`, `media`, `path_alias`, `url_sq`, `url_t`, `url_s`, `url_m`, `url_o` (or NULL) |
per_page | Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500. (or < 0) |
page | The page of results to return. If this argument is omitted, it defaults to 1. (or < 0) |

#### Returns

non-0 on failure

### flickcurl_people_getPhotos_params ()

    flickcurl_photos_list *
    flickcurl_people_getPhotos_params (flickcurl *fc,
                                       const char *user_id,
                                       int safe_search,
                                       const char *min_upload_date,
                                       const char *max_upload_date,
                                       const char *min_taken_date,
                                       const char *max_taken_date,
                                       int content_type,
                                       int privacy_filter,
                                       flickcurl_photos_list_params *list_params);

Get photos from the given user's photostream.

Only photos visible to the calling user will be returned. This method must be authenticated; to return public photos for a user, use `flickcurl_people_getPublicPhotos()`.

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photos to return. A value of "me" will return the calling user's photos. |
safe_search | Safe search setting: 1 for safe, 2 for moderate, 3 for restricted. (Please note: Un-authed calls can only see Safe content.) (or < 0) |
min_upload_date | Minimum upload date. Photos with an upload date greater than or equal to this value will be returned. The date should be in the form of a unix timestamp. (or NULL) |
max_upload_date | Maximum upload date. Photos with an upload date less than or equal to this value will be returned. The date should be in the form of a unix timestamp. (or NULL) |
min_taken_date | Minimum taken date. Photos with an taken date greater than or equal to this value will be returned. The date should be in the form of a mysql datetime. (or NULL) |
max_taken_date | Maximum taken date. Photos with an taken date less than or equal to this value will be returned. The date should be in the form of a mysql datetime. (or NULL) |
content_type | Content Type setting: 1 for photos only, 2 for screenshots only, 3 for 'other' only, 4 for photos and screenshots, 5 for screenshots and 'other', 6 for photos and 'other', 7 for photos, screenshots, and 'other' (all) (or < 0) |
privacy_filter | Return photos only matching a certain privacy level. This only applies when making an authenticated call to view photos you own. Valid values are: 1 public photos, 2 private photos visible to friends, 3 private photos visible to family, 4 private photos visible to friends & family, 5 completely private photos (or < 0) |
list_params | flickcurl_photos_list_params result parameters (or NULL) |

#### Returns

non-0 on failure

### flickcurl_people_getPhotosOf ()

    flickcurl_photo **
    flickcurl_people_getPhotosOf (flickcurl *fc,
                                  const char *user_id,
                                  const char *extras,
                                  int per_page,
                                  int page);

Returns a list of photos containing a particular Flickr member.

Implements flickr.people.getPhotosOf (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photo to search. A value of "me" will search against the calling user's photos for authenticated calls. |
extras | A comma-delimited list of extra information to fetch for each returned record (or NULL) |
per_page | Number of photos to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500. (or < 0) |
page | The page of results to return. If this argument is omitted, it defaults to 1. (or < 0) |

#### Returns

photos array or NULL on failure

### flickcurl_people_getPhotosOf_params ()

    flickcurl_photos_list *
    flickcurl_people_getPhotosOf_params (flickcurl *fc,
                                         const char *user_id,
                                         flickcurl_photos_list_params *list_params);

Returns a list of photos containing a particular Flickr member.

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photo to search. A value of "me" will search against the calling user's photos for authenticated calls. |
list_params | flickcurl_photos_list_params result parameters (or NULL) |

#### Returns

photos list or NULL on failure

### flickcurl_people_getPublicGroups ()

    flickcurl_group **
    flickcurl_people_getPublicGroups (flickcurl *fc,
                                      const char *user_id);

Returns the list of public groups a user is a member of.

Implements flickr.people.getPublicGroups (0.13)

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user to fetch groups for. |

#### Returns

list of groups or NULL on failure

### flickcurl_people_getPublicPhotos ()

    flickcurl_photo **
    flickcurl_people_getPublicPhotos (flickcurl *fc,
                                      const char *user_id,
                                      const char *extras,
                                      int per_page,
                                      int page);

Get a list of public photos for the given user.

See `flickcurl_people_getPublicPhotos_params()` for details of extras.

Implements flickr.people.getPublicPhotos (0.12)

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photos to return. |
extras | A comma-delimited list of extra information to fetch for each returned record. |
per_page | Number of photos to return per page (default 100, max 500) |
page | The page of results to return (default 1) |

#### Returns

list of photos or NULL on failure

### flickcurl_people_getPublicPhotos_params ()

    flickcurl_photos_list *
    flickcurl_people_getPublicPhotos_params
                                   (flickcurl *fc,
                                    const char *user_id,
                                    flickcurl_photos_list_params *list_params);

Get a list of public photos for the given user.

Currently supported extras fields are: license, date_upload, date_taken, owner_name, icon_server, original_format, last_update, geo, tags, machine_tags.

Optional extra type 'media' that will return an extra media = VALUE for VALUE "photo" or "video". API addition 2008-04-07.

#### Parameters

fc | flickcurl context |
user_id | The NSID of the user who's photos to return. |
list_params | flickcurl_photos_list_params result parameters (or NULL) |

#### Returns

list of people public photos or NULL on failure

### flickcurl_people_getUploadStatus ()

    flickcurl_user_upload_status *
    flickcurl_people_getUploadStatus (flickcurl *fc);

Returns information for the calling user related to photo uploads.

Implements flickr.people.getUploadStatus (0.13)

#### Parameters

fc | flickcurl context |

#### Returns

non-0 on failure